AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- ChatbotComponentCore
  - ChatbotComponentIonic

### Implements

- any

## Index

### Constructors

- constructor

### Properties

- amplifyService
- audioControl
- audioInput
- botName
- chatTitle
- clearComplete
- complete
- completions
- continueConversation
- conversationModeOn
- currentVoiceState
- errorMessage
- inputDisabled
- inputText
- inputValue
- lexResponse
- logger
- messages
- micButtonDisabled
- micText
- ref
- textEnabled
- voiceConfig
- voiceEnabled

### Accessors

- bot
- clearOnComplete
- data
- title

### Methods

- doneSpeakingHandler
- lexResponseHandler
- micButtonHandler
- ngOnInit
- onError
- onInputChange
- onSilenceHandler
- onSubmit
- performOnComplete
- reset

## Constructors

### constructor

- new ChatbotComponentIonic(ref: ChangeDetectorRef, amplifyService: AmplifyService): ChatbotComponentIonic

- Overrides ChatbotComponentCore.constructor

  - Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.ionic.ts:113

  #### Parameters

  - ##### ref: ChangeDetectorRef

  - ##### amplifyService: AmplifyService

  #### Returns ChatbotComponentIonic

## Properties

### Protected amplifyService

amplifyService: AmplifyService

Overrides ChatbotComponentCore.amplifyService

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.ionic.ts:118

### audioControl

audioControl: any

Inherited from ChatbotComponentCore.audioControl

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:123

### audioInput

audioInput: any

Inherited from ChatbotComponentCore.audioInput

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:117

### botName

botName: string

Inherited from ChatbotComponentCore.botName

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:106

### chatTitle

chatTitle: string

Inherited from ChatbotComponentCore.chatTitle

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:107

### clearComplete

clearComplete: boolean = false

Inherited from ChatbotComponentCore.clearComplete

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:108

### complete

complete: EventEmitter<string> = new EventEmitter<string>()

Inherited from ChatbotComponentCore.complete

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:127

### completions

completions: any

Inherited from ChatbotComponentCore.completions

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:110

### continueConversation

continueConversation: boolean = false

Inherited from ChatbotComponentCore.continueConversation

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:115

### conversationModeOn

conversationModeOn: boolean = false

Inherited from ChatbotComponentCore.conversationModeOn

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:119

### currentVoiceState

currentVoiceState: string = STATES.INITIAL.MESSAGE

Inherited from ChatbotComponentCore.currentVoiceState

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:111

### errorMessage

errorMessage: string

Inherited from ChatbotComponentCore.errorMessage

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:104

### inputDisabled

inputDisabled: boolean = false

Inherited from ChatbotComponentCore.inputDisabled

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:112

### inputText

inputText: string = ""

Inherited from ChatbotComponentCore.inputText

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:105

### inputValue

inputValue: any

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.ionic.ts:113

### lexResponse

lexResponse: any

Inherited from ChatbotComponentCore.lexResponse

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:118

### Protected logger

logger: any

Inherited from ChatbotComponentCore.logger

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:124

### messages

messages: any = []

Inherited from ChatbotComponentCore.messages

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:109

### micButtonDisabled

micButtonDisabled: boolean = false

Inherited from ChatbotComponentCore.micButtonDisabled

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:116

### micText

micText: string = STATES.INITIAL.ICON

Inherited from ChatbotComponentCore.micText

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:113

### ref

ref: ChangeDetectorRef

Inherited from ChatbotComponentCore.ref

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:120

### textEnabled

textEnabled: boolean = true

Inherited from ChatbotComponentCore.textEnabled

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:122

### voiceConfig

voiceConfig: any = defaultVoiceConfig

Inherited from ChatbotComponentCore.voiceConfig

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:114

### voiceEnabled

voiceEnabled: boolean = false

Inherited from ChatbotComponentCore.voiceEnabled

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:121

## Accessors

### bot

bot:

Inherited from ChatbotComponentCore.bot

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:164

### clearOnComplete

clearOnComplete:

Inherited from ChatbotComponentCore.clearOnComplete

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:176

### data

data:

Inherited from ChatbotComponentCore.data

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:136

### title

title:

Inherited from ChatbotComponentCore.title

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:171

## Methods

### doneSpeakingHandler

- doneSpeakingHandler(): void

- Inherited from ChatbotComponentCore.doneSpeakingHandler

  - Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:280

  #### Returns void

### lexResponseHandler

- lexResponseHandler(): Promise<void>

- Inherited from ChatbotComponentCore.lexResponseHandler

  - Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:246

  #### Returns Promise<void>

### micButtonHandler

- micButtonHandler(): Promise<void>

- Inherited from ChatbotComponentCore.micButtonHandler

  - Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:318

  #### Returns Promise<void>

### ngOnInit

- ngOnInit(): void

- Inherited from ChatbotComponentCore.ngOnInit

  - Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:180

  #### Returns void

### onError

- onError(error: any): void

- Inherited from ChatbotComponentCore.onError

  - Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:242

  #### Parameters

  - ##### error: any

  #### Returns void

### onInputChange

- onInputChange(value: string): void

- Inherited from ChatbotComponentCore.onInputChange

  - Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:193

  #### Parameters

  - ##### value: string

  #### Returns void

### onSilenceHandler

- onSilenceHandler(): void

- Inherited from ChatbotComponentCore.onSilenceHandler

  - Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:217

  #### Returns void

### onSubmit

- onSubmit(e: any): void

- Inherited from ChatbotComponentCore.onSubmit

  - Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:197

  #### Parameters

  - ##### e: any

  #### Returns void

### performOnComplete

- performOnComplete(evt: any): void

- Inherited from ChatbotComponentCore.performOnComplete

  - Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:186

  #### Parameters

  - ##### evt: any

  #### Returns void

### reset

- reset(): void

- Inherited from ChatbotComponentCore.reset

  - Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:231

  #### Returns void